Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.addrbook
Class Meeting

    java.lang.Object
      com.knowgate.dataobjs.DBPersist
          com.knowgate.addrbook.Meeting

All Implemented Interfaces:
  java.io.Serializable, java.util.Map

    public class Meeting

extends DBPersist

Meeting for Fellows

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`static short` | `ClassId`

Fields inherited from class com.knowgate.dataobjs.DBPersist
`AllVals, sAuditCls, sAuditUsr, sTransactId`

Constructor Summary
`Meeting()`
`Meeting(JDCConnection oConn, java.lang.String sMeetingId)`
`Meeting(java.lang.String sMeetingId)`

Method Summary
`void` | `addAttendant(JDCConnection oConn, java.lang.String sAttendantId)` Assign Attendant to Meeting Attendants may be Fellows or Contacts If Attendant was already assigned an SQLException in thrown.
`void` | `clearAttendants(JDCConnection oConn)` Remove all attendants to Meeting Delete registers from k_x_meeting_fellow and k_x_meeting_contact tables
`void` | `clearRooms(JDCConnection oConn)` Remove all Rooms and other booked Resources for Meeting Delete registers from k_x_meeting_room
`boolean` | `delete(JDCConnection oConn)` Delete a register from database The deleted register will be the one matching this DBPersist primary key, as set at constructor or load() method.
`static boolean` | `delete(JDCConnection oConn, java.lang.String sMeetingGUID)` Delete Meeting Calls k_sp_del_meeting stored procedure
`DBSubset` | `getContacts(JDCConnection oConn)` External Enterprise Contacts Attending to this meeting Retrieves Contacts from k_x_meeting_contact table.
`DBSubset` | `getFellows(JDCConnection oConn)` Get Fellows attending to this Meeting Retrieves Fellows from k_x_meeting_fellow table.
`java.lang.String` | `getHour()`
`java.lang.String` | `getHourEnd()`
`java.lang.String` | `getMinute()`
`java.lang.String` | `getMinuteEnd()`
`DBSubset` | `getRooms(JDCConnection oConn)` Get Rooms and other Resources reserved for thsi meeting<.
`java.util.Date` | `lastModified()`
`void` | `repeat(JDCConnection oConn, int nDaysGap, int nTimes, boolean bSkipHolidays)` Make copies of this meeting
`void` | `setAttendant(JDCConnection oConn, java.lang.String sAttendantId)` Assign Attendant to Meeting Attendants may be Fellows or Contacts If Attendant was already assigned, meeting dates are updated and no error is raised.
`void` | `setRoom(JDCConnection oConn, java.lang.String sRoomNm)` Assign a Room or Resource to a Meeting If Room was already assigned, booking dates (dt_start and dt_end at k_x_meeting_room) are updated and no error is raised.
`boolean` | `store(JDCConnection oConn)` Store meeting gu_meeting is automatically assigned if not set for new meetings dt_modified is automatically updated for existing meetings bo_private is set to zero if value for it is not specified Since version 4.0, as a shortcut, if a single value for nm_room property is set, then it is added to k_x_meeting_room table without need of calling setRoom() method

Methods inherited from class com.knowgate.dataobjs.DBPersist
`allcaps, allcaps, changelog, clear, clone, containsKey, containsValue, entrySet, exists, get, get, getAuditClassName, getCreationDate, getDate, getDateFormated, getDateShort, getDateTime, getDateTime24, getDecimal, getDecimalFormated, getDecimalFormated, getDouble, getDoubleFormated, getFloat, getFloatFormated, getInt, getInteger, getIntervalPart, getItemMap, getItems, getMoney, getShort, getSQLDate, getSQLTime, getString, getStringHtml, getStringNull, getTable, getTable, getTableName, getTime, getTimeOfDay, getTimestamp, getUIdFromName, isEmpty, isNull, iterator, keySet, load, load, parseXML, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, putAll, putAll, remove, remove, replace, replace, replace, replace, replace, replace, replace, replace, setAuditTransact, setAuditUser, setCreationDate, size, toLowerCase, toUpperCase, toXML, toXML, toXML, toXML, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### ClassId

    public static final short ClassId

See Also:
  Constant Field Values

Constructor Detail

### Meeting

    public Meeting()

### Meeting

    public Meeting(java.lang.String sMeetingId)

### Meeting

    public Meeting(JDCConnection oConn,
                   java.lang.String sMeetingId)
            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

Method Detail

### lastModified

    public java.util.Date lastModified()

### delete

    public boolean delete(JDCConnection oConn)
                   throws java.sql.SQLException

  Description copied from class: `DBPersist`

  Delete a register from database

  The deleted register will be the one matching this DBPersist primary key, as set at constructor or load() method.

  Overrides:
    `delete` in class `DBPersist`
  Parameters:
    `oConn` - Database connection
  Returns:
    true if register was successfully erased, false if not.
  Throws:
    `java.sql.SQLException`

### store

    public boolean store(JDCConnection oConn)
                  throws java.sql.SQLException

  Store meeting

  gu_meeting is automatically assigned if not set for new meetings
  dt_modified is automatically updated for existing meetings
  bo_private is set to zero if value for it is not specified Since version 4.0, as a shortcut, if a single value for nm_room property is set, then it is added to k_x_meeting_room table without need of calling setRoom() method

  Overrides:
    `store` in class `DBPersist`
  Parameters:
    `oConn` - JDCConnection
  Returns:
    boolean
  Throws:
    `java.sql.SQLException`

### getFellows

    public DBSubset getFellows(JDCConnection oConn)
                        throws java.sql.SQLException

  Get Fellows attending to this Meeting

  Retrieves Fellows from k_x_meeting_fellow table.

  Parameters:
    `oConn` - Database Connection
  Returns:
    `DBSubset` with 5 columns {gu_fellow,tx_name,tx_surname,de_title,tx_email}
  Throws:
    `java.sql.SQLException`
  See Also:
    `Fellow}`

### getContacts

    public DBSubset getContacts(JDCConnection oConn)
                         throws java.sql.SQLException

  External Enterprise Contacts Attending to this meeting

  Retrieves Contacts from k_x_meeting_contact table.

  Parameters:
    `oConn` - Database Connection
  Returns:
    `DBSubset` with 3 columns {gu_contact,tx_name,tx_surname}
  Throws:
    `java.sql.SQLException`
  See Also:
    `Contact}`

### getRooms

    public DBSubset getRooms(JDCConnection oConn)
                      throws java.sql.SQLException

  Get Rooms and other Resources reserved for thsi meeting<.

  Retrieves Rooms from k_x_meeting_room table.

  Parameters:
    `oConn` - Database Connection
  Returns:
    `DBSubset` with 5 columns {nm_room,tp_room,tx_company,tx_location,tx_comments}
  Throws:
    `java.sql.SQLException`

### getHour

    public java.lang.String getHour()

  Returns:
    Meeting starting hour

### getMinute

    public java.lang.String getMinute()

  Returns:
    Meeting starting minute

### getHourEnd

    public java.lang.String getHourEnd()

  Returns:
    Meeting ending hour

### getMinuteEnd

    public java.lang.String getMinuteEnd()

  Returns:
    Meeting ending minute

### clearAttendants

    public void clearAttendants(JDCConnection oConn)
                         throws java.sql.SQLException

  Remove all attendants to Meeting

  Delete registers from k_x_meeting_fellow and k_x_meeting_contact tables

  Parameters:
    `oConn` - Database Connection
  Throws:
    `java.sql.SQLException`

### clearRooms

    public void clearRooms(JDCConnection oConn)
                    throws java.sql.SQLException

  Remove all Rooms and other booked Resources for Meeting

  Delete registers from k_x_meeting_room

  Parameters:
    `oConn` - Database Connection
  Throws:
    `java.sql.SQLException`

### setRoom

    public void setRoom(JDCConnection oConn,
                        java.lang.String sRoomNm)
                 throws java.sql.SQLException

  Assign a Room or Resource to a Meeting

  If Room was already assigned, booking dates (dt_start and dt_end at k_x_meeting_room) are updated and no error is raised.

  Parameters:
    `oConn` - Database Connection
    `sRoomNm` - Room Name
  Throws:
    `java.sql.SQLException`

### addAttendant

    public void addAttendant(JDCConnection oConn,
                             java.lang.String sAttendantId)
                      throws java.sql.SQLException

  Assign Attendant to Meeting

  Attendants may be Fellows or Contacts

  If Attendant was already assigned an SQLException in thrown.

  Parameters:
    `oConn` - Database Connection
    `sAttendantId` - `Fellow` or `Contact` Unique Identifier
  Throws:
    `java.sql.SQLException`
  Since:
    5.0

### setAttendant

    public void setAttendant(JDCConnection oConn,
                             java.lang.String sAttendantId)
                      throws java.sql.SQLException

  Assign Attendant to Meeting

  Attendants may be Fellows or Contacts

  If Attendant was already assigned, meeting dates are updated and no error is raised.

  Parameters:
    `oConn` - Database Connection
    `sAttendantId` - `Fellow` or `Contact` Unique Identifier
  Throws:
    `java.sql.SQLException`

### repeat

    public void repeat(JDCConnection oConn,
                       int nDaysGap,
                       int nTimes,
                       boolean bSkipHolidays)
                throws java.sql.SQLException,
                       java.lang.IllegalArgumentException

  Make copies of this meeting

  Parameters:
    `oConn` - JDCConnection
    `nDaysGap` - int Frecuency in days. One means that the meeting is repeated daily for the number of specified times. Seven means that the meeting is repeated weekly. Twenty eight is approximately once per month (every 4 weeks).
    `nTimes` - int Number of times to repeat the meeting
  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException` - if nDaysGap<=0 or nTimes<0

### delete

    public static boolean delete(JDCConnection oConn,
                                 java.lang.String sMeetingGUID)
                          throws java.sql.SQLException

  Delete Meeting

  Calls k_sp_del_meeting stored procedure

  Parameters:
    `oConn` - Database Connection
    `sMeetingGUID` - Meeting Unique Identifier
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD